Skip to main content
`Ctrl`+`K`

# MatGetColumnVector

Gets the values from a given column of a matrix.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatGetColumnVector(Mat A, Vec yy, PetscInt col)

Not Collective

## Input Parameters

- A - the matrix

- yy - the vector

- col - the column requested (in global numbering)

## Notes

If a `MatType` does not implement the operation, each processor for which this is called gets the values for its rows using `MatGetRow()`.

The vector must have the same parallel row layout as the matrix.

Contributed by: Denis Vanderstraeten

## See Also

Matrices, `Mat`, `MatGetRow()`, `MatGetDiagonal()`, `MatMult()`

## Level

advanced

## Location

src/mat/utils/getcolv.c

## Implementations

MatGetColumnVector_MPIDense() in src/mat/impls/dense/mpi/mpidense.c
MatGetColumnVector_SeqDense() in src/mat/impls/dense/seq/dense.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages